Package ch.admin.suis.validator.rest.to.response

# Class FileReport

java.lang.Object
ch.admin.suis.validator.rest.to.response.FileReport

public class FileReport extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FileReport()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `byte[]`
  `getDocumentHash()`
  `String`
  `getDocumentName()`
  `String`
  `getMandator()`
  `OverallMandatorStatus`
  `getMandatorRequirements()`
  `byte[]`
  `getPdfReport()`
  `SignatureCoverageStatus`
  `getSignatureCoverageStatus()`
  `List<SignatureReport>`
  `getSignatureReports()`
  `boolean`
  `isDocModifiedAfterLastSignature()`
  `ValidStatus`
  `isValid()`
  `ValidStatus`
  `isValidCert()`
  `ValidStatus`
  `isValidMandant()`
  `ValidStatus`
  `isValidRevoc()`
  `ValidStatus`
  `isValidSig()`
  `ValidStatus`
  `isValidTimestamp()`
  `boolean`
  `mandatorRequirementsNotMet()`
  `void`
  `setDocModifiedAfterLastSignature(boolean docModifiedAfterLastSignature)`
  `void`
  `setDocumentHash(byte[] documentHash)`
  `void`
  `setDocumentName(String documentName)`
  `void`
  `setMandator(String mandator)`
  `void`
  `setMandatorRequirements(OverallMandatorStatus mandatorRequirements)`
  `void`
  `setPdfReport(byte[] pdfReport)`
  `void`
  `setSignatureCoverageStatus(SignatureCoverageStatus signatureCoverageStatus)`
  `void`
  `setSignatureReports(List<SignatureReport> signatureReports)`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### FileReport

    public FileReport()

- ## Method Details

  - ### getDocumentHash

    public byte[] getDocumentHash()

  - ### getDocumentName

    public String getDocumentName()

  - ### getMandator

    public String getMandator()

  - ### getMandatorRequirements

    public OverallMandatorStatus getMandatorRequirements()

  - ### getPdfReport

    public byte[] getPdfReport()

  - ### getSignatureCoverageStatus

    public SignatureCoverageStatus getSignatureCoverageStatus()

  - ### getSignatureReports

    public List<SignatureReport> getSignatureReports()

  - ### isDocModifiedAfterLastSignature

    public boolean isDocModifiedAfterLastSignature()

  - ### isValid

    public ValidStatus isValid()

  - ### isValidCert

    public ValidStatus isValidCert()

  - ### isValidMandant

    public ValidStatus isValidMandant()

  - ### isValidRevoc

    public ValidStatus isValidRevoc()

  - ### isValidSig

    public ValidStatus isValidSig()

  - ### isValidTimestamp

    public ValidStatus isValidTimestamp()

  - ### mandatorRequirementsNotMet

    public boolean mandatorRequirementsNotMet()

  - ### setDocModifiedAfterLastSignature

    public void setDocModifiedAfterLastSignature(boolean docModifiedAfterLastSignature)

  - ### setDocumentHash

    public void setDocumentHash(byte[] documentHash)

  - ### setDocumentName

    public void setDocumentName(String documentName)

  - ### setMandator

    public void setMandator(String mandator)

  - ### setMandatorRequirements

    public void setMandatorRequirements(OverallMandatorStatus mandatorRequirements)

  - ### setPdfReport

    public void setPdfReport(byte[] pdfReport)

  - ### setSignatureCoverageStatus

    public void setSignatureCoverageStatus(SignatureCoverageStatus signatureCoverageStatus)

  - ### setSignatureReports

    public void setSignatureReports(List<SignatureReport> signatureReports)

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`